Subject: [tsvwg] Comments on draft-ietf-tsvwg-sctp-ndata-09 regarding SCTP_SS_WFQ

From: Ingemar Johansson S <[email-masked]>
Date: Thu, 30 Mar 2017 18:29:13 +0000

Hi

I have been experimenting a little with the stream scheduler in the SCReAM implementation (https://github.com/EricssonResearch/scream), which is something close to a weighted fair scheduler. Not sure if these findings are of interest but anyway...

While it is quite straightforward to allocate bandwidth in a weighted manner if the sources are of the type "infinite bandwidth" i.e. large enough objects, things get more tricky when sources like video is used.

SCReAM congestion control has the requirement that a minimum of delay is allowed on the sending side, this means that the source bitrate must match the available (weighted) share of the bandwidth relatively closely. The end effect is that if we run two video sources through the SCReAM congestion controller with different weights , we will still get the same bitrate..
In SCReAM I implemented a correction to this, perhaps there are better alternatives that I don't know of.

The bottomline is that the results with WFQ may differ depending of if the sources are of infinite bitrate or if they are bandwidth limited.

/Ingemar
==================================
Ingemar Johansson  M.Sc.
Master Researcher

Ericsson AB
Wireless Access Networks
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]<mailto:[email-masked]>
www.ericsson.com

A mistake is to commit a misunderstanding
                     Bob Dylan
==================================